Name: H5Sselect_valid
Signature:
  htri_t `H5Sselect_valid`(hid_t `space_id`)
Purpose:
  Verifies that the selection is within the extent of the dataspace.
Description:
  `H5Sselect_valid` verifies that the selection for the dataspace `space_id` is within the extent of the dataspace if the current offset for the dataspace is used.
Parameters:

hid_t `space_id` | The identifier for the dataspace being queried.

Returns:
  Returns a positive value, for `TRUE`, if the selection is contained within the extent or `0` (zero), for `FALSE`, if it is not. Returns a negative value on error conditions such as the selection or extent not being defined.
Fortran90 Interface: h5sselect_valid_f

      SUBROUTINE h5sselect_valid_f(space_id, flag, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: space_id  ! Dataspace identifier
        LOGICAL, INTENT(OUT) :: flag            ! TRUE if the selection is
                                                ! contained within the extent,
                                                ! FALSE otherwise.
        INTEGER, INTENT(OUT) :: hdferr          ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5sselect_valid_f